List team members
GET
https://api.vercel.com/v3/teams/{teamId}/membersGet a paginated list of team members for the provided team.
https://api.vercel.com/v3/teams/{teamId}/members
const response = await fetch('https://api.vercel.com/v3/teams/teamId/members?limit=123&since=123&until=123&search=string&role=string&excludeProject=string&eligibleMembersForProjectId=string&slug=string', { method: 'GET', headers: { 'Authorization': 'Bearer YOUR_ACCESS_TOKEN', 'Content-Type': 'application/json', },});
const data = await response.json();console.log(data);Response
{ "emailInviteCodes": [ { "accessGroups": [], "createdAt": "123", "email": "user@example.com", "entitlements": [], "expired": "true", "id": "icfg_1234567890", "isDSyncUser": "false", "projects": "value", "role": "BILLING", "teamPermissions": [], "teamRoles": [] } ], "members": [ { "accessRequestedAt": "1588820733602", "avatar": "123a6c5209bc3778245d011443644c8d27dc2c50", "bitbucket": { "login": "string" }, "confirmed": "true", "createdAt": "1588720733602", "email": "jane.doe@example.com", "github": { "login": "string" }, "gitlab": { "login": "string" }, "isEnterpriseManaged": "false", "joinedFrom": { "commitId": "example_id", "dsyncConnectedAt": "123", "dsyncUserId": "example_id", "gitUserId": "example_id", "gitUserLogin": "string", "idpUserId": "example_id", "origin": "account-update", "repoId": "example_id", "repoPath": "string", "ssoConnectedAt": "123", "ssoUserId": "example_id" }, "name": "Jane Doe", "projects": [ { "id": "icfg_1234567890", "name": "Example Name", "role": "ADMIN" } ], "role": "OWNER", "uid": "zTuNVUXEAvvnNN3IaqinkyMw", "username": "jane-doe" } ], "pagination": { "count": "20", "hasNext": "false", "next": "1540095775951", "prev": "1540095775951" }}AuthorizationbearerToken
Default authentication mechanism
Include team members who are eligible to be members of the specified project.